aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Commands.Permission

# Documentation

data AddPermission #

Constructors

AddPermission |

Fields

- apLabel :: Text
- apPermissions :: [(Text, SqsPermission)]
- apQueueName :: QueueName

#### Instances

Instances details

SignQuery AddPermission # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ServiceConfiguration AddPermission |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration AddPermission = SqsConfiguration

Methods

signQuery :: AddPermission -> ServiceConfiguration AddPermission queryType -> SignatureData -> SignedQuery #

Show AddPermission # |
Instance details Defined in Aws.Sqs.Commands.Permission Methods showsPrec :: Int -> AddPermission -> ShowS # show :: AddPermission -> String # showList :: [AddPermission] -> ShowS #
Transaction AddPermission AddPermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission
type ServiceConfiguration AddPermission # |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration AddPermission = SqsConfiguration

data AddPermissionResponse #

Constructors

AddPermissionResponse |

#### Instances

Instances details

AsMemoryResponse AddPermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse AddPermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse AddPermissionResponse = AddPermissionResponse

Methods

loadToMemory :: AddPermissionResponse -> ResourceT IO (MemoryResponse AddPermissionResponse) #

Show AddPermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission Methods showsPrec :: Int -> AddPermissionResponse -> ShowS # show :: AddPermissionResponse -> String # showList :: [AddPermissionResponse] -> ShowS #
ResponseConsumer r AddPermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ResponseMetadata AddPermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata AddPermissionResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata AddPermissionResponse) -> HTTPResponseConsumer AddPermissionResponse #

Transaction AddPermission AddPermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission
type MemoryResponse AddPermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse AddPermissionResponse = AddPermissionResponse
type ResponseMetadata AddPermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata AddPermissionResponse = SqsMetadata

formatPermissions :: [(Text, SqsPermission)] -> [QueryItem] #

data RemovePermission #

Constructors

RemovePermission |

Fields

- rpLabel :: Text
- rpQueueName :: QueueName

#### Instances

Instances details

SignQuery RemovePermission # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ServiceConfiguration RemovePermission |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration RemovePermission = SqsConfiguration

Methods

signQuery :: RemovePermission -> ServiceConfiguration RemovePermission queryType -> SignatureData -> SignedQuery #

Show RemovePermission # |
Instance details Defined in Aws.Sqs.Commands.Permission Methods showsPrec :: Int -> RemovePermission -> ShowS # show :: RemovePermission -> String # showList :: [RemovePermission] -> ShowS #
Transaction RemovePermission RemovePermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission
type ServiceConfiguration RemovePermission # |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration RemovePermission = SqsConfiguration

data RemovePermissionResponse #

Constructors

RemovePermissionResponse |

#### Instances

Instances details

AsMemoryResponse RemovePermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse RemovePermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse RemovePermissionResponse = RemovePermissionResponse

Methods

loadToMemory :: RemovePermissionResponse -> ResourceT IO (MemoryResponse RemovePermissionResponse) #

Show RemovePermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission Methods showsPrec :: Int -> RemovePermissionResponse -> ShowS # show :: RemovePermissionResponse -> String # showList :: [RemovePermissionResponse] -> ShowS #
ResponseConsumer r RemovePermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ResponseMetadata RemovePermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata RemovePermissionResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata RemovePermissionResponse) -> HTTPResponseConsumer RemovePermissionResponse #

Transaction RemovePermission RemovePermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission
type MemoryResponse RemovePermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse RemovePermissionResponse = RemovePermissionResponse
type ResponseMetadata RemovePermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata RemovePermissionResponse = SqsMetadata